<?php defined('SYSPATH') or die('No direct script access.');
  
class Model_System extends Model
{
    public function getBitmaskForRoute($routeName)
    {
        $db = Database::instance();
        $routeName = $db->escape($routeName);
        $sql = "SELECT `GetBitmaskByPagename`($routeName) AS `Bitmask`; ";
        return DB::query(Database::SELECT, $sql)->execute()->get('Bitmask');
    }

    static public function getChangeLog() {
        $file = APPPATH . 'updates.md';
        $source = file_exists($file) ? file_get_contents($file) : '';
        $blocks = preg_split('/[\r\n]*---[-]*[\r\n]*/', $source);

        $log = [];
        foreach ($blocks as $row) {
            $log[] = [
                'date' => substr($row, 0, strpos($row, PHP_EOL)),
                'text' => trim(substr($row, strpos($row, PHP_EOL))),
            ];
        }

        return $log;
    }
}
